KAboutApplication Class Reference

`#include <kaboutapplication.h>`

Inheritance diagram for KAboutApplication:

## Public Member Functions

| KAboutApplication (QWidget *parent=0, const char *name=0, bool modal=true)
| KAboutApplication (const KAboutData *aboutData, QWidget *parent=0, const char *name=0, bool modal=true)
Public Member Functions inherited from KAboutDialog
| KAboutDialog (QWidget *parent=0, const char *name=0, bool modal=true)
| KAboutDialog (int dialogLayout, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=false, bool separator=false, const QString &user1=QString::null, const QString &user2=QString::null, const QString &user3=QString::null)
void | adjust ()
virtual void | show (void)
virtual void | show (QWidget *centerParent)
void | setTitle (const QString &title)
void | setImage (const QString &fileName)
void | setIcon (const QString &fileName) KDE_DEPRECATED
void | setProgramLogo (const QString &fileName)
void | setProgramLogo (const QPixmap &pixmap)
void | setImageBackgroundColor (const QColor &color)
void | setImageFrame (bool state)
void | setProduct (const QString &appName, const QString &version, const QString &author, const QString &year)
QFrame * | addTextPage (const QString &title, const QString &text, bool richText=false, int numLines=10)
QFrame * | addLicensePage (const QString &title, const QString &text, int numLines=10)
KAboutContainer * | addContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
KAboutContainer * | addScrolledContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
KAboutContainer * | addContainer (int childAlignment, int innerAlignment)
QFrame * | addPage (const QString &title)
void | setLogo (const QPixmap &)
void | setAuthor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setMaintainer (const QString &name, const QString &email, const QString &url, const QString &work)
void | addContributor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setVersion (const QString &name)
Public Member Functions inherited from KDialogBase
| KDialogBase (QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (int dialogFace, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (KDialogBase::DialogType dialogFace, WFlags f, QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (const QString &caption, int buttonMask=Yes|No|Cancel, ButtonCode defaultButton=Yes, ButtonCode escapeButton=Cancel, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &yes=KStdGuiItem::yes(), const KGuiItem &no=KStdGuiItem::no(), const KGuiItem &cancel=KStdGuiItem::cancel())
| ~KDialogBase ()
void | setButtonBoxOrientation (int orientation)
void | setEscapeButton (ButtonCode id)
virtual void | adjustSize ()
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QFrame * | plainPage ()
QFrame * | addPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QFrame * | addPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
void | setFolderIcon (const QStringList &path, const QPixmap &pixmap)
QFrame * | makeMainWidget ()
QVBox * | makeVBoxMainWidget ()
QHBox * | makeHBoxMainWidget ()
QGrid * | makeGridMainWidget (int n, Orientation dir)
void | enableButtonSeparator (bool state)
void | showButton (ButtonCode id, bool state)
void | showButtonOK (bool state)
void | showButtonApply (bool state)
void | showButtonCancel (bool state)
bool | showPage (int index)
int | activePageIndex () const
int | pageIndex (QWidget *widget) const
void | setMainWidget (QWidget *widget)
QWidget * | mainWidget ()
void | disableResize ()
void | setInitialSize (const QSize &s, bool noResize=false)
void | incInitialSize (const QSize &s, bool noResize=false)
QSize | configDialogSize (const QString &groupName) const
QSize | configDialogSize (KConfig &config, const QString &groupName) const
void | saveDialogSize (const QString &groupName, bool global=false)
void | saveDialogSize (KConfig &config, const QString &groupName, bool global=false) const
void | setButtonOK (const KGuiItem &item=KStdGuiItem::ok())
void | setButtonOKText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonApply (const KGuiItem &item=KStdGuiItem::apply())
void | setButtonApplyText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonCancel (const KGuiItem &item=KStdGuiItem::cancel())
void | setButtonCancelText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonText (ButtonCode id, const QString &text)
void | setButtonTip (ButtonCode id, const QString &text)
void | setButtonWhatsThis (ButtonCode id, const QString &text)
void | setButtonGuiItem (ButtonCode id, const KGuiItem &item)
void | setTreeListAutoResize (bool state)
void | setShowIconsInTreeList (bool state)
void | setRootIsDecorated (bool state)
void | unfoldTreeList (bool persist=false)
void | addWidgetBelowList (QWidget *widget)
void | addButtonBelowList (const QString &text, QObject *recv, const char *slot)
void | addButtonBelowList (const KGuiItem &guiitem, QObject *recv, const char *slot)
void | setIconListAllVisible (bool state)
void | showTile (bool state)
void | getBorderWidths (int &ulx, int &uly, int &lrx, int &lry) const KDE_DEPRECATED
QRect | getContentsRect () const KDE_DEPRECATED
QSize | calculateSize (int w, int h) const
QString | helpLinkText () const
QPushButton * | actionButton (ButtonCode id)
Public Member Functions inherited from KDialog
| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)

## Protected Member Functions

void | buildDialog (const KAboutData *aboutData)
Protected Member Functions inherited from KAboutDialog
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KDialogBase
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | hideEvent (QHideEvent *)
virtual void | closeEvent (QCloseEvent *e)

## Additional Inherited Members

Public Types inherited from KAboutDialog
enum | LayoutType { AbtPlain = 0x0001, AbtTabbed = 0x0002, AbtTitle = 0x0004, AbtImageLeft = 0x0008, AbtImageRight = 0x0010, AbtImageOnly = 0x0020, AbtProduct = 0x0040, AbtKDEStandard = AbtTabbed|AbtTitle|AbtImageLeft, AbtAppStandard = AbtTabbed|AbtTitle|AbtProduct, AbtImageAndTitle = AbtPlain|AbtTitle|AbtImageOnly }
Public Types inherited from KDialogBase
enum | ButtonCode { Help = 0x00000001, Default = 0x00000002, Ok = 0x00000004, Apply = 0x00000008, Try = 0x00000010, Cancel = 0x00000020, Close = 0x00000040, User1 = 0x00000080, User2 = 0x00000100, User3 = 0x00000200, No = 0x00000080, Yes = 0x00000100, Details = 0x00000400, Filler = 0x40000000, Stretch = 0x80000000, NoDefault }
enum | ActionButtonStyle { ActionStyle0 =0, ActionStyle1, ActionStyle2, ActionStyle3, ActionStyle4, ActionStyleMAX }
enum | DialogType { TreeList = KJanusWidget::TreeList, Tabbed = KJanusWidget::Tabbed, Plain = KJanusWidget::Plain, Swallow = KJanusWidget::Swallow, IconList = KJanusWidget::IconList }
Public Slots inherited from KDialogBase
void | enableButton (ButtonCode id, bool state)
void | enableButtonOK (bool state)
void | enableButtonApply (bool state)
void | enableButtonCancel (bool state)
void | enableLinkedHelp (bool state)
void | delayedDestruct ()
void | setHelpLinkText (const QString &text)
void | setHelp (const QString &anchor, const QString &appname=QString::null)
void | helpClickedSlot (const QString &)
void | setDetails (bool showDetails)
void | setDetailsWidget (QWidget *detailsWidget)
void | updateBackground ()
void | cancel ()
Public Slots inherited from KDialog
virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)
Signals inherited from KAboutDialog
void | sendEmail (const QString &name, const QString &email)
void | openURL (const QString &url)
Signals inherited from KDialogBase
void | helpClicked ()
void | defaultClicked ()
void | user3Clicked ()
void | user2Clicked ()
void | user1Clicked ()
void | applyClicked ()
void | tryClicked ()
void | okClicked ()
void | yesClicked ()
void | noClicked ()
void | cancelClicked ()
void | closeClicked ()
void | apply ()
void | backgroundChanged ()
void | hidden ()
void | finished ()
void | aboutToShowDetails ()
void | aboutToShowPage (QWidget *page)
Signals inherited from KDialog
void | layoutHintChanged ()
Static Public Member Functions inherited from KAboutDialog
static void | imageURL (QWidget *parent, const QString &caption, const QString &path, const QColor &imageColor, const QString &url)
Static Public Member Functions inherited from KDialogBase
static bool | haveBackgroundTile ()
static const QPixmap * | backgroundTile ()
static const QPixmap * | getBackgroundTile () KDE_DEPRECATED
static void | setBackgroundTile (const QPixmap *pix)
Static Public Member Functions inherited from KDialog
static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)
Protected Slots inherited from KAboutDialog
void | sendEmailSlot (const QString &name, const QString &email)
void | openURLSlot (const QString &url)
virtual void | mouseTrackSlot (int mode, const QMouseEvent *e)
Protected Slots inherited from KDialogBase
virtual void | slotHelp ()
virtual void | slotDefault ()
virtual void | slotDetails ()
virtual void | slotUser3 ()
virtual void | slotUser2 ()
virtual void | slotUser1 ()
virtual void | slotOk ()
virtual void | slotApply ()
virtual void | slotTry ()
virtual void | slotYes ()
virtual void | slotNo ()
virtual void | slotCancel ()
virtual void | slotClose ()
virtual void | applyPressed ()
void | updateGeometry ()
void | slotDelayedDestruct ()
Protected Attributes inherited from KAboutDialog
KAboutWidget * | about
KAboutContainerBase * | mContainerBase

## Detailed Description

Standard "About Application" dialog box.

This class provides the standard "About Application" dialog box that is used by KHelpMenu. It uses the information of the global KAboutData that is specified at the start of your program in main(). Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow::helpMenu() function.

Author
  Waldo Bastian (basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g) and Espen Sand (espen.nosp@m.@kde.nosp@m..org)

Definition at line 44 of file kaboutapplication.h.

## Constructor & Destructor Documentation

KAboutApplication::KAboutApplication | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `true`
| ) |  |

Constructor.

Creates a fully featured "About Application" dialog box. Note that this dialog is made modeless in the KHelpMenu class so the users may expect a modeless dialog.

Parameters

  parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
  name | Internal name of the widget. This name is not used in the caption.
  modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

Definition at line 36 of file kaboutapplication.cpp.

KAboutApplication::KAboutApplication | ( | const KAboutData * | aboutData,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `true`
| ) |  |

Constructor.

Mostly does the same stuff as the previous constructor, except that it can take a custom KAboutData object instead of the one specified in your main() function. This is especially useful for applications which are implemented as (dynamically loaded) libraries, e.g. panel applets.

Parameters

  aboutData | A pointer to a KAboutData object which data will be used for filling the dialog.
  parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
  name | Internal name of the widget. This name is not used in the caption.
  modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

Definition at line 46 of file kaboutapplication.cpp.

The documentation for this class was generated from the following files:

- kaboutapplication.h
- kaboutapplication.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys